### Virtual Method

# AppStreamCompose Unit dir_exists

since: 0.14.5

#### Declaration [src]

    gboolean
    dir_exists (
      AscUnit* unit,
      const gchar* dirname
    )

#### Description [src]

Returns `TRUE` if the directory exists and files in it are readable.

Available since: 0.14.5

#### Parameters

`dirname`

  Type: `const gchar*`

  The directory name to check.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

No description available.